---
title: "Add Group to List"
slug: "add-group-to-list"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Group to List

Post/api/v1/groups.open

Use this endpoint to add the private group/channel back to the list of rooms in the workspace sidebar, if you have used the [groups.close](https://developer.rocket.chat/apidocs/close-group) endpoint to remove the channel from the sidebar.

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='72dc5153-e40e-4c7e-90ab-d1817a0e67a9'>application/json</option>
</select>object  roomIdstring    Required

The room ID that you want to add to the sidebar. Alternatively, you can use the `roomName` parameter and enter the room name, instead of the ID.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='8ef9ef39-c717-4bad-867d-8cdd48258d5b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c4274313-a961-4737-8c84-876a50d51c42'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='917447ff-20b4-4d43-95f0-ed9a4274185d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a6ee04c6-cb16-49ff-aaf9-8a887baea699'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c2012d6a-0317-4465-976d-164048daffda'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='4e141f2e-f71f-4b69-a1e2-126e7b43e13f'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
